/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue May 29 09:02:53 EDT 2001
    copyright            : (C) 2001 by Roberto Virga
    email                : rvirga@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#define KDOC_DEF

#include <stdlib.h>

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kuniqueapplication.h>

#include "ksetispy.h"

static const char *description =
	I18N_NOOP("A monitor utility for SETI@home.");

static KCmdLineOptions options[] =
{
	{ 0, 0, 0 }
};


int main(int argc, char *argv[])
{
	KAboutData aboutData( "ksetispy", I18N_NOOP("KSetiSpy"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2002, Roberto A. Virga", 0, 0, "rvirga@users.sourceforge.net");
	aboutData.addAuthor("Roberto Virga",0, "rvirga@users.sourceforge.net");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions(options);
	KLocale::setMainCatalogue("ksetispy");

	KUniqueApplication::addCmdLineOptions();
	if(!KUniqueApplication::start()) exit(0);
	KUniqueApplication app;

	KSetiSpy ksetispy(0, "Main Window");
	app.connect(&app, SIGNAL(shutDown()), &ksetispy, SLOT(exit()));
	app.setMainWidget(&ksetispy);

	return(app.exec());
}
